org.apache.http.protocol

## Class ResponseServer

- java.lang.Object
- - org.apache.http.protocol.ResponseServer

All Implemented Interfaces:
  HttpResponseInterceptor

    @Immutable
    public class ResponseServer
    extends Object
    implements HttpResponseInterceptor

ResponseServer is responsible for adding `Server` header. This interceptor is recommended for server side protocol processors.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`ResponseServer()`
`ResponseServer(String originServer)`

### Method Summary

Methods
`void` `process(HttpResponse response, HttpContext context)` Processes a response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseServer

    public ResponseServer(String originServer)

Since:
  4.3

#### ResponseServer

    public ResponseServer()

### Method Detail

#### process

    public void process(HttpResponse response,
               HttpContext context)
                 throws HttpException,
                        IOException

Description copied from interface: `HttpResponseInterceptor`
Processes a response. On the server side, this step is performed before the response is sent to the client. On the client side, this step is performed on incoming messages before the message body is evaluated.

Specified by:
  `process` in interface `HttpResponseInterceptor`
Parameters:
  `response` - the response to postprocess
  `context` - the context for the request
Throws:
  `HttpException` - in case of an HTTP protocol violation
  `IOException` - in case of an I/O error